Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739056 - x11-base/xorg-server-1.20.9: crashes on start with Segmentation fault at address 0x0
Summary: x11-base/xorg-server-1.20.9: crashes on start with Segmentation fault at addr...
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major with 2 votes (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2020-14345, CVE-2020-14346, CVE-2020-14347, CVE-2020-14361, CVE-2020-14362
  Show dependency tree
 
Reported: 2020-08-26 07:08 UTC by Alex Efros
Modified: 2020-09-09 12:44 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Xorg.0.log from 1.20.9 (crashing) (Xorg.0.log-crash,3.95 KB, text/plain)
2020-08-26 07:08 UTC, Alex Efros
Details
Xorg.0.log from 1.20.8-r1 (working) (Xorg.0.log,19.58 KB, text/x-log)
2020-08-26 07:09 UTC, Alex Efros
Details
upstream patch (segfault.patch,636 bytes, patch)
2020-08-26 15:58 UTC, Steffen Kremser
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Efros 2020-08-26 07:08:28 UTC
Created attachment 656812 [details]
Xorg.0.log from 1.20.9 (crashing)

I've set severity to major because of https://bugs.gentoo.org/734976.

Here is part of Xorg.0.log where working 1.20.8-r1 differ from broken 1.20.9:

---1.20.8-r1---
...
 (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
 (II) xfree86: Adding drm device (/dev/dri/card1)
 (II) xfree86: Adding drm device (/dev/dri/card0)
 (--) PCI:*(1@0:0:0) 10de:1c02:1462:3287 rev 161, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, 0xf0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/131072
 (II) LoadModule: "glx"
...

---1.20.9---
...
 (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
 (II) xfree86: Adding drm device (/dev/dri/card1)
 (II) Platform probe for /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card1
 (II) xfree86: Adding drm device (/dev/dri/card0)
 (II) Platform probe for /sys/devices/platform/vgem/drm/card0
 (EE) 
 (EE) Backtrace:
 (EE) 0: /usr/bin/X (xorg_backtrace+0x79) [0x562f9e4878e9]
 (EE) 1: /usr/bin/X (0x562f9e2df000+0x1ac5d8) [0x562f9e48b5d8]
 (EE) 2: /lib64/libpthread.so.0 (0x7f007720d000+0x130f0) [0x7f00772200f0]
 (EE) 3: /usr/bin/X (0x562f9e2df000+0xaff00) [0x562f9e38ef00]
 (EE) 4: /usr/bin/X (xf86BusProbe+0x9) [0x562f9e3680e9]
 (EE) 5: /usr/bin/X (InitOutput+0x71e) [0x562f9e37631e]
 (EE) 6: /usr/bin/X (0x562f9e2df000+0x5b1b4) [0x562f9e33a1b4]
 (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f0077073d8b]
 (EE) 8: /usr/bin/X (_start+0x2a) [0x562f9e3241ba]
 (EE) 
 (EE) Segmentation fault at address 0x0


# emerge -pv xorg-server

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  r  U  ] x11-base/xorg-server-1.20.9:0/1.20.9::gentoo [1.20.8-r1:0/1.20.8::gentoo] USE="elogind ipv6 (libglvnd) udev xorg -debug -dmx -doc -kdrive -libressl -minimal (-selinux) -static-libs -suid -systemd -unwind -wayland -xcsecurity -xephyr -xnest -xvfb" 0 KiB
[ebuild  rR    ] x11-drivers/xf86-input-evdev-2.10.6::gentoo  0 KiB
[ebuild  rR    ] x11-drivers/xf86-video-nouveau-1.0.16::gentoo  0 KiB
[ebuild  rR    ] x11-drivers/nvidia-drivers-450.57-r1:0/450::gentoo  USE="X driver gtk3 kms (libglvnd) multilib static-libs tools uvm -compat -wayland" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 4 packages (1 upgrade, 3 reinstalls), Size of downloads: 0 KiB


Portage 2.3.103 (python 3.7.8-final-0, default/linux/amd64/17.1/hardened, gcc-9.3.0, glibc-2.31-r6, 5.4.60-gentoo x86_64)
=================================================================
System uname: Linux-5.4.60-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600K_CPU_@_3.40GHz-with-gentoo-2.6
KiB Mem:    24585736 total,  16651608 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Tue, 25 Aug 2020 21:30:01 +0000
Head commit of repository gentoo: 2a8c3c5337a9fc17af5db334f5335fcc14483529
sh bash 5.0_p18
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
ccache version 3.7.10 [enabled]
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.7.8-r2::gentoo, 3.8.5::gentoo
dev-util/ccache:          3.7.10::gentoo
dev-util/cmake:           3.16.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

local
    location: /usr/local/portage
    masters: gentoo
    priority: 0

powerman
    location: /home/powerman/proj/gentoo/powerman-overlay
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: https://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /service /usr/inferno/keydb /usr/inferno/lib /usr/inferno/services /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/i2p/scripts /var/log"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage-distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --autounmask --autounmask-write --alert=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://mirrors.soeasyto.com/distfiles.gentoo.org/ http://gentoo.supp.name/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://mirror.netcologne.de/gentoo/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en ru ru_RU"
MAKEOPTS="-j8"
PKGDIR="/usr/portage-packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi aes alac alsa amd64 avx bash-completion bluetooth branding bzip2 cairo caps cdda cddb cdr chm cli crypt cups dbus dga djvu dri dts dvb dvd dvdr egl eglfs elogind emboss encode exif fam ffmpeg flac fontconfig gallium gdbm gif gpg gtk hardened iconv icu id3tag idn ipv6 jpeg jpeg2k lcms libglvnd libnotify libtirpc mac mad matroska mmx mmxext mng mp3 mp4 mpeg mtp multilib musepack ncurses network-cron nls nptl nsplugin ogg opengl openmp opus pam pango pclmul pcre pdf perl pie png policykit popcnt ppds projectm qt5 readline rtc sdl seccomp spell split-usr sse sse2 sse3 sse4_1 sse4_2 ssl ssp ssse3 startup-notification svg tcpd theora tiff truetype udev udisks unicode upower usb vaapi vdpau vim-syntax vorbis wavpack wxwidgets x264 x265 xattr xcb xml xscreensaver xtpax xv xvid xvmc zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="log_config vhost_alias autoindex alias rewrite dir deflate filter mime negotiation auth_basic authn_file authz_host authz_user authz_groupfile cgi actions headers env setenvif authn_core authz_core unixd socache_shmcb access_compat" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_conn limit_req map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi addition fancyindex" OFFICE_IMPLEMENTATION="libreoffice" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby25" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XFCE_PLUGINS="clock trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Alex Efros 2020-08-26 07:09:05 UTC
Created attachment 656814 [details]
Xorg.0.log from 1.20.8-r1 (working)
Comment 2 Sam James archtester gentoo-dev Security 2020-08-26 08:17:59 UTC
A backtrace is going to help enormously here: https://wiki.gentoo.org/wiki/Debugging.
Comment 3 silver_ghost 2020-08-26 10:07:00 UTC
I have problem with xorg-server-1.20.9 too. But it's different backtrace here:
[  1855.028] (EE) Backtrace:
[  1855.028] (EE) 0: X (xorg_backtrace+0x4d) [0x557e9addc46d]
[  1855.028] (EE) 1: X (0x557e9abf0000+0x1f0675) [0x557e9ade0675]
[  1855.028] (EE) 2: /lib64/libpthread.so.0 (0x7fcce6da8000+0x13070) [0x7fcce6dbb070]
[  1855.028] (EE) 3: X (0x557e9abf0000+0xc3e31) [0x557e9acb3e31]
[  1855.028] (EE) 4: X (xf86BusProbe+0x9) [0x557e9ac86259]
[  1855.028] (EE) 5: X (InitOutput+0x7b4) [0x557e9ac98144]
[  1855.028] (EE) 6: X (0x557e9abf0000+0x60ae3) [0x557e9ac50ae3]
[  1855.028] (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7fcce6c10d0b]
[  1855.028] (EE) 8: X (_start+0x2a) [0x557e9ac35fda]
[  1855.028] (EE) 
[  1855.028] (EE) Segmentation fault at address 0x0
[  1855.028] (EE) 
Fatal server error:
[  1855.028] (EE) Caught signal 11 (Segmentation fault). Server aborting
Comment 4 Sam James archtester gentoo-dev Security 2020-08-26 10:09:30 UTC
(In reply to silver_ghost from comment #3)
> I have problem with xorg-server-1.20.9 too. But it's different backtrace

Could you compile with debugging symbols as per the link, and share again? This will likely need to be reported upstream (https://gitlab.freedesktop.org/xorg/xserver/-/issues).

Possibly related: https://gitlab.freedesktop.org/xorg/xserver/-/issues/1068 (it's hard to tell until we get the BT with symbols)

Maybe you could try the patch they suggest in that bug? Thanks for the reports.
Comment 5 Thomas Lindroth 2020-08-26 11:01:10 UTC
I also hit this. Null pointer deref at xf86platformProbe() xf86platformBus.c:292 in xorg-server-1.20.9. Same as https://gitlab.freedesktop.org/xorg/xserver/-/issues/1068

I suggest the stable version is downgraded to 1.20.8 before more people hit this.

https://i.imgur.com/JyH5JGh.jpg backtrack with debug symbols.

I run X as root using an integrated intel gpu on a haswell cpu. The crash happens with both xf86-video-intel and modesetting.
Comment 6 Steffen Kremser 2020-08-26 11:53:43 UTC
can confirm

 (EE) Segmentation fault at address 0x0

with radeon VGA  on AMD Ryzen 3000G (normally handled by amdgpu)
.. on a  no-systemd build (important)

Someone with a many-core-box has already bisected the 1.20.9 commit
here:  https://www.youtube.com/watch?v=esE4a639nKU

.. so someone thought it was a good idea make a point release combining 
- 4 CVE fixes (the everyone should have)  AND
- some "improve pci detection" crap that depends on string data from systemd

masking  xorg-server-1.20.9  gets me a working dektop .. with know vulnerabilities (X_x)
Comment 7 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2020-08-26 12:53:28 UTC
I cannot reproduce it on OpenRC system with amdgpu, however I do use elogind. 

@Steffen Kremser: are you running with elogind or +suid?
Comment 8 Steffen Kremser 2020-08-26 14:04:42 UTC
(In reply to Piotr Karbowski from comment #7)
> I cannot reproduce it on OpenRC system with amdgpu, however I do use
> elogind. 
> 
> @Steffen Kremser: are you running with elogind or +suid?

yes, my system is compiled with elogind,

- normally using xdm servie -> sddm
- currently in fallback mode (sddm session stops immediately) 
.. so i'm back to typing "startx" in a console session; .xinitrc does 

dbus-run-session startplasma-x11
Comment 9 Steffen Kremser 2020-08-26 14:18:52 UTC
(In reply to Steffen Kremser from comment #8)
> (In reply to Piotr Karbowski from comment #7)
> > I cannot reproduce it on OpenRC system with amdgpu, however I do use
> > elogind. 
> > 
> > @Steffen Kremser: are you running with elogind or +suid?
> 
> yes, my system is compiled with elogind,
> 
> - normally using xdm servie -> sddm
> - currently in fallback mode (sddm session stops immediately) 

.. due to  "failed to open authorisation file /var/run/sddm/{random_uuid}"  btw. 

> .. so i'm back to typing "startx" in a console session; .xinitrc does 
> 
> dbus-run-session startplasma-x11

add emerge --info 
--- 
kremser@a300 ~ $ emerge --info
Portage 3.0.4 (python 3.7.9-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-10.2.0, glibc-2.32, 5.8.3-gentoo-zen1 x86_64)
=================================================================
System uname: Linux-5.8.3-gentoo-zen1-x86_64-AMD_Athlon_3000G_with_Radeon_Vega_Graphics-with-gentoo-2.7
KiB Mem:    30816932 total,  27859364 free
KiB Swap:     524284 total,    524284 free
Timestamp of repository gentoo: Wed, 26 Aug 2020 10:00:01 +0000
Head commit of repository gentoo: 15ba73b6e287c830397e6b0939735ca035efff97
sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.6.11-r2::gentoo, 3.7.9::gentoo, 3.8.5::gentoo, 3.9.0_beta5::gentoo
dev-util/cmake:           3.18.1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.2::gentoo
sys-devel/binutils:       2.34-r2::gentoo
sys-devel/gcc:            10.2.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32::gentoo
Repositories:

gentoo
    location: /mdns/gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: no

jorgicio
    location: /var/lib/layman/jorgicio
    masters: gentoo
    priority: 50

nest
    location: /var/lib/layman/nest
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=znver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=znver1"
DISTDIR="/mdns/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=2 --load-average=4.1 --keep-going"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="https://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/"
INSTALL_MASK="/usr/lib/systemd/ /usr/share/locale -/usr/share/locale/en"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="--jobs=5 --load=4"
PKGDIR="/mdns/gentoo/packages/x86_64_picasso"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 berkdb branding bzip2 cairo cdr cli cpudetection crypt cups dbus declarative dri dts dvd dvdr elogind emboss encode exif fdk ffmpeg flac fortran gdbm gif gpm gtk iconv icu ipv6 jpeg kde kipi kwallet lcms ldap libglvnd libnotify libtirpc mad mng mp3 mp4 mpeg multilib ncurses netlink nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds qml qt5 readline seccomp spell split-usr ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vdpau vorbis widgets wxwidgets x264 x265 xattr xcb xml xv xvid zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda_intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 aes avx avx2 f16c fma3 pclmul popcnt rdrand sha sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc efi-64" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="AMDGPU BPF X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" USERLAND="GNU" VIDEO_CARDS="amdgpu" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LANG, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 11 Steffen Kremser 2020-08-26 16:08:33 UTC
upstream issue: https://gitlab.freedesktop.org/xorg/xserver/-/issues/1068

they had already fixed this segfault (upstrem proposed fix is "include this existing commit")

https://gitlab.freedesktop.org/xorg/xserver/-/commit/e50c85f4ebf559a3bac4817b41074c43d4691779

quick check:
- copy patch file into /etc/portage/patches/x11-base/xorg-server-1.20.9/
- remove mask entry for 1.20.9
- recompile
- restart X
-> no segfault, desktop starts as expected
Comment 12 Alex Efros 2020-08-26 16:40:54 UTC
(In reply to Steffen Kremser from comment #11)
> they had already fixed this segfault (upstrem proposed fix is "include this
> existing commit")

Thanks for the patch, works for me!
Comment 13 CaptainBlood 2020-08-26 17:17:48 UTC
(In reply to Steffen Kremser from comment #10)
> Created attachment 656936 [details, diff] [details, diff]
> upstream patch
> 
> taken from
> https://gitlab.freedesktop.org/xorg/xserver/-/commit/
> e50c85f4ebf559a3bac4817b41074c43d4691779

Thks 4 the patch.
Working fine here.
Comment 14 Ian Pickworth 2020-08-26 18:17:34 UTC
+1 for patch working, thanks.

VIDEO_CARDS="amdgpu" in my case.
Comment 15 Sam James archtester gentoo-dev Security 2020-08-26 18:32:38 UTC
NOTE: This has been masked now until we figure it out with upstream.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=956b21329ba923957b3ce5b2cb7eb50041936c25
Comment 16 MickKi 2020-08-27 20:13:34 UTC
I've had the same on a no-multilib profile, with Intel video card.  Then I noticed it had evdev and synaptics on it.  I removed these, added libinput and upon a resync it downgraded to 1.20.8-r1.  So I can't tell what caused the segfault, especially as the logs were not particularly informative.  Other boxen with AMD APUs and no evdev or synaptics worked fine with 1.20.9, so I'm mentioning it here in case it is somehow relevant.
-- 
Kind regards,
Mick
Comment 17 Maxim 2020-09-05 13:49:34 UTC
I have the same problem on Xwayland, with both xorg-server-1.20.8-r1 and 1.20.9 (even with patch above).
(EE) Backtrace:
(EE) 0: Xwayland (xorg_backtrace+0x54) [0x562666c8cca4]
(EE) 1: Xwayland (0x562666ae4000+0x1ac625) [0x562666c90625]
(EE) 2: /lib64/libpthread.so.0 (0x7ff1d66c0000+0x128d0) [0x7ff1d66d28d0]
(EE) 3: /usr/lib64/libwayland-client.so.0 (wl_proxy_marshal_constructor+0x8e) [0x7ff1d6b5342e]
(EE) 4: Xwayland (0x562666ae4000+0x52e15) [0x562666b36e15]
(EE) 5: Xwayland (compRealizeWindow+0x47) [0x562666c48117]
(EE) 6: Xwayland (MapWindow+0x1e1) [0x562666c86661]
(EE) 7: Xwayland (dix_main+0x315) [0x562666c5f0f5]
(EE) 8: /lib64/libc.so.6 (__libc_start_main+0xea) [0x7ff1d6527eaa]
(EE) 9: Xwayland (_start+0x2a) [0x562666b3534a]
(EE)
(EE) Segmentation fault at address 0x0
(EE)
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting
Comment 18 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2020-09-08 13:13:32 UTC
Does not seems to be related to this issue. Build xorg-server with debug symbols, narrow down what is the function that crash on you and create new bug with the findings.